<div
  id="backdrop-wrapper"
  class="backdrop-wrapper scrollable-content"
  [ngClass]="{ 'content-shading': isBackdropShading() }"
  (click)="onBackdrop($event)"
>
  <div class="backdrop-center" [ngClass]="{ 'backdrop-vertical-center': isVerticallyCentered }" (click)="onBackdrop($event)">
    <div class="backdrop-content-wrapper">
      <ng-template appBackdropModalSlot></ng-template>
    </div>
  </div>
</div>
